import 'package:flutter/material.dart';

class TextFieldViewController extends StatefulWidget {
  final Widget Function(TextEditingController) child;
  final String text;

  TextFieldViewController({
    this.child,
    this.text
  });

  @override
  _TextFieldViewControllerState createState() => _TextFieldViewControllerState();
}

class _TextFieldViewControllerState extends State<TextFieldViewController> {
  final TextEditingController _textEditingController = TextEditingController();

  void _onChange() {
    setState(() {});
  }

  @override
  void didUpdateWidget(TextFieldViewController oldWidget) {
    // TODO: implement didUpdateWidget
    super.didUpdateWidget(oldWidget);

    _textEditingController.text = widget.text;
  }

  @override
  void initState() {
    super.initState();

    _textEditingController.text = widget.text ?? "";

    _textEditingController.addListener(_onChange);
  }

  @override
  void dispose() {
    _textEditingController.dispose();

    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return widget.child(_textEditingController);
  }
}

