import 'package:flutter/material.dart';

class ButtonView extends StatelessWidget {
  final String text;
  final Function onPressed;
  final Color color;

  ButtonView({
    this.text,
    this.onPressed,
    this.color
  });

  @override
  Widget build(BuildContext context) {
    return FlatButton(
        onPressed: onPressed,
        disabledColor: Colors.grey,
        child: Text(
            text,
            style: TextStyle(
              color: Colors.white,
              fontSize: 12.0
            )
        ),
        color: color ?? Colors.green,
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(30)));
  }
}
