import 'package:flutter/material.dart';

class IconView extends StatelessWidget {
  final Widget icon;
  final double radius;
  final Function onPressed;
  final Function buildWidget;
  final BoxShape boxShape;

  IconView({Key key, this.icon, this.radius, this.onPressed, this.buildWidget, this.boxShape}): super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
        decoration: BoxDecoration(
            shape: boxShape,
            boxShadow: [
              BoxShadow(
                color: Color(0x11000000),
                blurRadius: 6.0,
                spreadRadius: 2.0,
              )
            ]),
        child: buildWidget(Container(
          width: radius ?? 25.0,
          height: radius ?? 25.0,
          color: Colors.white,
          child: Material(
            child: InkWell(
              onTap: onPressed,
              child: icon,
            ),
          ),
        ))
    );
  }
}
